from setuptools import setup


setup(name = 'pygolem',
      version = '0.3',
      description = 'Python API for the GOLEM tokamak discharge database',
      author = 'Ondrej Grover, Michal Odstrcil, Tomas Odstrcil',
      author_email = 'ondrej.grover@gmail.com',
      license = 'BSD',
      requires = [
          'numpy',
          'scipy',
          'matplotlib',
          ],
      classifiers = [
          'Development Status :: 3 - Alpha',
          'Intended Audience :: by Industry or Sector :: Science/Research',
          'Programming Language :: Python :: 2',
          'Programming Language :: Python :: 3',
          'Topic :: Software Development',
          'Topic :: Scientific/Engineering :: Physics',
          'Operating System :: Grouping and Descriptive Categories :: OS Independent (Written in an interpreted language)',
          'License :: OSI-Approved Open Source :: BSD License',
          ],
      platforms =[
          'Windows',
          'Linux',
          ],
      url = 'https://github.com/jhillairet/pygolem',
      dependency_links=['https://github.com/jhillairet/pygolem/tarball/master#egg=package-1.0'],
      packages = ['pygolem'],
      package_data = {'pygolem': ['data_configuration.cfg']},
      )
